<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE overlay SYSTEM "chrome://cometbird/locale/cometbird.dtd">
<?xml-stylesheet href="chrome://cometbird/skin/cometbird.css" type="text/css" ?>
<?xml-stylesheet href="chrome://cometbird/skin/cometbird_tabgroup.css" type="text/css" ?>

<overlay id="cometbird_overlay" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird.js" />
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_tabgroup.js" />
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_tabs.js" />		
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_scroll.js" />		
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_bookmarks.js" />
	
	<script type="application/x-javascript" src="chrome://global/content/nsDragAndDrop.js"/>	
	<script type="application/x-javascript" src="chrome://global/content/nsTransferable.js"/>
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_dragtogo.js" />

	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_translate_setting.js" />	
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_utility.js" />
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_file.js" />
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_statistics.js" />
	
	<!--
	<script type="application/x-javascript" src="chrome://cometbird/content/cometbird_restart.js" />	
	
	<menupopup id="menu_FilePopup">
   	<menuitem id="cometbird_restart" label="&cometbird_menu.restart.label;" oncommand="cometbird_restart_app();" insertbefore="menu_FileQuitItem"/>
	</menupopup>
	-->

	<window id="main-window">
		<keyset id="SmoothScroll">
			<key id="ScrollDown" keycode="VK_DOWN" modifiers="" oncommand="smooth_scroll(1);"/>
			<key id="ScrollUp" keycode="VK_UP" modifiers="" oncommand="smooth_scroll(-1);"/>
			<key id="ScrollPageDown" keycode="VK_PAGE_DOWN" modifiers="" oncommand="smooth_scroll(2);"/>
			<key id="ScrollPageUp" keycode="VK_PAGE_UP" modifiers="" oncommand="smooth_scroll(-2);"/>
			<key id="ScrollSpaceDown" keycode=" " modifiers="" oncommand="smooth_scroll(2);"/>
			<key id="ScrollSpaceUp" keycode=" " modifiers="shift" oncommand="smooth_scroll(-2);"/>
		</keyset>
	</window>
	
	<!-- cometbird statistcs panel -->
	<vbox>
		<panel id="cometbird-statistcs-panel" level="top" noautohide="false" noautofocus="true" norestorefocus="true" width="200" height="10" hidden="true" >
			<iframe id="statistcs_url_frame" flex="1"/>
		</panel>
	</vbox>

</overlay>
